%draw strucure and motion
function draw_structure_motion( points , R1 , R2 , R3, T1 , T2 , T3 , scale )

if nargin < 8
    scale = 1;
end

points = points * scale;

T1 = T1 * scale;
T2 = T2 * scale;
T3 = T3 * scale;

view1 = -R1^-1*T1;
view2 = -R2^-1*T2;
view3 = -R3^-1*T3;

plot( points(1,:) , points(2,:) , 'r*' );
hold on; 
%Robot1
plot( view1(1) , view1(2) , 'bo' );
%Robot2
plot( view2(1) , view2(2) , 'bo' );
%Robot3
plot( view3(1) , view3(2) , 'bo' );
%compute robot orientation
arrow = 0.25;
%Robot1
xb1 = -R1^-1*T1;
xe1 = R1^-1*([arrow;0]-T1);
line([xb1(1),xe1(1)],[xb1(2),xe1(2)]);
%Robot2
xb2 = -R2^-1*T2;
xe2 = R2^-1*([arrow;0]-T2);
line([xb2(1),xe2(1)],[xb2(2),xe2(2)]);
%Robot3
xb3 = -R3^-1*T3;
xe3 = R3^-1*([arrow;0]-T3);
line([xb3(1),xe3(1)],[xb3(2),xe3(2)]);

grid on; axis equal;
hold off;