%draw strucure and motion
function draw_structure_motion_two_views( points , R1 , R2 , T1 , T2 , scale, color )

if nargin < 6
    scale = 1;
    color = 'bo';
end

if nargin < 7
    color = 'bo';
end

points = points * scale;

T1 = T1 * scale;
T2 = T2 * scale;

view1 = -R1^-1*T1;
view2 = -R2^-1*T2;

plot( points(1,:) , points(2,:), color );
hold on; 
%compute robot orientation
arrow = 0.25;
%Robot1
xb1 = -R1^-1*T1;
xe1 = R1^-1*([arrow;0]-T1);
plot( view1(1) , view1(2) , 'ro' );
line([xb1(1),xe1(1)],[xb1(2),xe1(2)]);

%Robot2
xb2 = -R2^-1*T2;
xe2 = R2^-1*([arrow;0]-T2);
plot( view2(1) , view2(2) , color );
line([xb2(1),xe2(1)],[xb2(2),xe2(2)]);

grid on; axis equal;
hold off;