% fonction qui va dessiner une ligne centree en x;y d'angle theta sur l'image a

function drawfeatures(a,centre_x,centre_y,angle,ID)
% a: image sur laquelle on souhaite dessiner une ligne 
% centre_x: centre de l'image selon x
% centre_y: centre de l'image selon y
% theta: Angle qu'aura la ligne par rapport a l'axe des x

imagesc(a);                     % The imagesc function scales image data to the full range of the current colormap and displays the image. 
colormap(gray);                 % colormapeditor displays the current figure's colormap as a strip of rectangular cells in the colormap editor. 

[height,width]=size(a);

hold on;
for i = 1:length(angle)           % number of vertical features
    color = [1 0 0];
    plot([centre_y, centre_y-height*sin(angle(i))],[centre_x, centre_x-height*cos(angle(i))], '-', 'Color', color ,'LineWidth',2);       %Create line object
    string = num2str(ID(i));
    text([ centre_y-230*sin(angle(i))],[centre_x-230*cos(angle(i))],string,'FontSize',14,'BackgroundColor',[.95 .95 .95])
end
hold off


