function xcorr_matrix = get_xcorr_matrix(image1, image2, win, parameters, display)

centre_x = parameters.Centre.X_centre;
centre_y = parameters.Centre.Y_centre;
center = [centre_y, centre_x];
Rmin = parameters.Rmin;
Rmax = parameters.Rmax;

int = double(fliplr(imunwrap(image1, center, Rmax, Rmin, 0, 360)'));
int_tmp = [zeros(win,size(int,2));
    int;
    zeros(win,size(int,2))];
int2 = double(fliplr(imunwrap(image2, center, Rmax, Rmin, 0, 360)'));

xcorr_matrix = [];
for i=1:size(int,1)

    template = int_tmp(i:i+2*win,:);
    ncc = normxcorr2_mex(template, int2, 'same');
    if mod(size(int,2),2) == 1
        index = floor(size(int,2)/2) +1;
    else
        index = floor(size(int,2)/2);
    end
    xcorr_matrix = [xcorr_matrix;
                    ncc(:,index)'];
end

if display
    figure; imagesc(abs(xcorr_matrix)); colormap(gray); axis square;
    a= xcorr_matrix-min(xcorr_matrix(:)); a=a/max(a(:)); figure; imagesc(1-a); colormap(gray); axis square
end