function i=localmaximaglobal(v,win, Th,Min_angle_between_two_Vertical)
% fonction qui recherche les differents maxima de la courbe v
%   v:  Courbe dont on cherche les maxima
%   win:    Taille de la fenetre de scanage
%   Th:     Thresold, anisi on ne gardera que les maximum qui seront suprieur  ce seuil
%   i:      Ce vecteur contient tous les maxima qui sont plus grand que le seuil

Number_of_data_per_frame = length(v);
step_looking = round(Min_angle_between_two_Vertical / (360/length(v)));

v=v';

temp_v = v;
for j=1 : step_looking 
    temp_v = [v(Number_of_data_per_frame +1 - j) , temp_v , v(j)];       % boundary condition
end

for k=1: Number_of_data_per_frame
    
    k = k + step_looking;
    
    temp_local_max = max( temp_v( (k-step_looking):(k+step_looking)) );            % find the local max of the present point
    
    if (temp_v (k) >= temp_local_max & temp_v (k) > Th )
        if max( temp_v( (k-step_looking):k-1) ) == temp_v (k)                      % to evitate to have two neigbourg with teh same value that could be very close gto each other
            Maximum(k) = 0;
        else
            Maximum(k) = temp_v(k);    
        end    
    else
        Maximum(k) = 0;
    end
    
end

Maximum = Maximum (step_looking + 1 : end);    % because of the boundary condition

index_Maximum= find(Maximum);

i=index_Maximum';

return

% plot(v);                                             % dessin le "spectre" des lignes verticales
% hold on; 
% plot(index_Maximum,v(index_Maximum),'ro');


% autre moyen de proceder
% [r,c]=size(v);
% v2=v;
% maxima=zeros(size(v));
% v2=[zeros(win,size(v2,2));v2;zeros(win,size(v2,2))];        % met des zero en debut en en fin du vecteur
% v2=[zeros(size(v2,1),win),v2,zeros(size(v2,1),win)];        % construit une matrice qui contient 3 colonnes de zero, une colonne contenant v2 (v ralonge avec des zero) et de nouveau 3 colonnes de zero
% 
% for i=-win:win
%    for j=-win:win
%       a = v2(win+i+1:win+i+r , win+j+1:win+j+c);
%       maxima(find(a>maxima)) = a(find(a>maxima));
%    end
% end
% 
% i=find(v >= maxima & v>Th);